//EditSig v1.2
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- Called when "Edit Signature" is clicked
function OpenEditSignature() {
	if ( isfile( "ciceron/warriorsig.cs" ) )
		exec("ciceron/warriorsig.cs");
	else
		MessageBoxOK( "ERROR", "Cannot find the file ciceron/warriorsig.cs!  This script will not work without it!", "" );
	exec("ciceron/EditSignatureDlg.cs");
	Canvas.PushDialog( EditSignatureDlg );
	ES_SignatureTextBox.setText( $ES::WarriorSignature );
}

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- Closes the "Edit Signature" dialog box w/ saving
function ES_AcceptButton::Click() {
	$ES::WarriorSignature = ES_SignatureTextBox.getText();
	SaveSignature();
}

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- Called when "Insert Signature" is clicked in the forums
function InsertForumSig() {
	exec("ciceron/warriorsig.cs");
	$CurrentText = ForumsBodyText.getValue();
	$NewText = $CurrentText @ "\n\n" @ $ES::WarriorSignature;
	ForumsBodyText.setValue( $NewText );
}

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- Called when "Insert Signature" is clicked in an email
function InsertEmailSig() {
	exec("ciceron/warriorsig.cs");
	$CurrentText = EmailBodyText.getValue();
	$NewText = $CurrentText @ "\n\n" @ $ES::WarriorSignature;
	EmailBodyText.setValue( $NewText );
}

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- Saves the signature to a file
function SaveSignature() {
	export( "$ES::*", "ciceron/warriorsig.cs", false );
	Canvas.PopDialog( EditSignatureDlg );
}

function ES_HelpButton::Click() {
	exec("ciceron/SigHelpDlg.cs");
	Canvas.PushDialog( SigHelpDlg );
	ESH_HelpTextBox.setText( $HelpText );
}