$HelpText = "<color:ffffff>Q:  How do I change the color/font/size of my signature?\n<color:c0c0c0>A:  There are HTML-like tags that you can use to do this.  These tags use the \"<color:ffffff><<color:c0c0c0>\" and \"<color:ffffff>><color:c0c0c0>\" like regular HTML tags.\n\nTo change font and size: <color:ffffff><|font:FONTNAME:FONTSIZE|><color:c0c0c0>\nTo change color: <color:ffffff><|color:COLOR|><color:c0c0c0>\n\nBe sure to <color:ffffff>remove<color:c0c0c0> the <color:ffffff>\"|\"<color:c0c0c0> in the tags when you use it.  For the color, you need to use <color:ffffff>HEX<color:c0c0c0> codes.";

//--- OBJECT WRITE BEGIN ---
new GuiControl(SigHelpDlg) {
	profile = "DlgBackProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	helpTag = "0";
		key = "76";

	new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "70 36";
		extent = "500 300";
		minExtent = "48 92";
		visible = "1";
		helpTag = "0";
		text = "SIGEDIT HELP";
		maxLength = "255";
		noTitleBar = "0";

		new ShellScrollCtrl() {
			profile = "NewScrollCtrlProfile";
			horizSizing = "right";
			vertSizing = "height";
			position = "27 27";
			extent = "447 217";
			minExtent = "24 52";
			visible = "1";
			helpTag = "0";
			willFirstRespond = "1";
			hScrollBar = "alwaysOff";
			vScrollBar = "alwaysOn";
			constantThumbHeight = "0";
			defaultLineHeight = "15";
			childMargin = "3 3";
			fieldBase = "gui/shll_field";

			new GuiScrollContentCtrl() {
				profile = "GuiDefaultProfile";
				horizSizing = "width";
				vertSizing = "height";
				position = "7 7";
				extent = "417 208";
				minExtent = "8 8";
				visible = "1";
				helpTag = "0";

				new GuiMLTextEditCtrl(ESH_HelpTextBox) {
					profile = "ShellMessageTextProfile";
					horizSizing = "right";
					vertSizing = "height";
					position = "0 0";
					extent = "417 215";
					minExtent = "8 8";
					visible = "1";
					variable = $HelpText;
					helpTag = "0";
					lineSpacing = "2";
					allowColorChars = "0";
					maxChars = "3600";
				};
			};
		};
		new ShellBitmapButton(ESH_OKButton) {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
			position = "340 245";
			extent = "128 38";
			minExtent = "32 38";
			visible = "1";
			command = "Canvas.PopDialog( SigHelpDlg );";
			helpTag = "0";
			text = "OK";
			simpleStyle = "0";
		};
	};
};
//--- OBJECT WRITE END ---
